### Enumeration

# Qmi UimSessionType

since: 1.6

#### Declaration

    enum Qmi.UimSessionType

#### Description [src]

Type of UIM session.

Available since: 1.6

#### Members

`QMI_UIM_SESSION_TYPE_PRIMARY_GW_PROVISIONING`

  Primary GSM/WCDMA provisioning.

  - Value: `0`
  - Available since: 1.6
`QMI_UIM_SESSION_TYPE_PRIMARY_1X_PROVISIONING`

  Primary CDMA1x provisioning.

  - Value: `1`
  - Available since: 1.6
`QMI_UIM_SESSION_TYPE_SECONDARY_GW_PROVISIONING`

  Secondary GSM/WCDMA provisioning.

  - Value: `2`
  - Available since: 1.6
`QMI_UIM_SESSION_TYPE_SECONDARY_1X_PROVISIONING`

  Secondary CDMA1x provisioning.

  - Value: `3`
  - Available since: 1.6
`QMI_UIM_SESSION_TYPE_NONPROVISIONING_SLOT_1`

  Nonprovisioning on slot 1.

  - Value: `4`
  - Available since: 1.6
`QMI_UIM_SESSION_TYPE_NONPROVISIONING_SLOT_2`

  Nonprovisioning on slot 2.

  - Value: `5`
  - Available since: 1.6
`QMI_UIM_SESSION_TYPE_CARD_SLOT_1`

  Card on slot 1.

  - Value: `6`
  - Available since: 1.6
`QMI_UIM_SESSION_TYPE_CARD_SLOT_2`

  Card on slot 2.

  - Value: `7`
  - Available since: 1.6
`QMI_UIM_SESSION_TYPE_LOGICAL_CHANNEL_SLOT_1`

  Logical channel on slot 1.

  - Value: `8`
  - Available since: 1.6
`QMI_UIM_SESSION_TYPE_LOGICAL_CHANNEL_SLOT_2`

  Logical channel on slot 2.

  - Value: `9`
  - Available since: 1.6
`QMI_UIM_SESSION_TYPE_TERTIARY_GW_PROVISIONING`

  Tertiary GSM/WCDMA provisioning. Since 1.28.

  - Value: `10`
  - Available since: 1.6
`QMI_UIM_SESSION_TYPE_TERTIARY_1X_PROVISIONING`

  Tertiary CDMA1x provisioning. Since 1.28.

  - Value: `11`
  - Available since: 1.6
`QMI_UIM_SESSION_TYPE_QUATERNARY_GW_PROVISIONING`

  Quaternary GSM/WCDMA provisioning. Since 1.28.

  - Value: `12`
  - Available since: 1.6
`QMI_UIM_SESSION_TYPE_QUATERNARY_1X_PROVISIONING`

  Quaternary CDMA1x provisioning. Since 1.28.

  - Value: `13`
  - Available since: 1.6
`QMI_UIM_SESSION_TYPE_QUINARY_GW_PROVISIONING`

  Quinary GSM/WCDMA provisioning. Since 1.28.

  - Value: `14`
  - Available since: 1.6
`QMI_UIM_SESSION_TYPE_QUINARY_1X_PROVISIONING`

  Quinary CDMA1x provisioning. Since 1.28.

  - Value: `15`
  - Available since: 1.6
`QMI_UIM_SESSION_TYPE_NONPROVISIONING_SLOT_3`

  Nonprovisioning on slot 3. Since 1.28.

  - Value: `16`
  - Available since: 1.6
`QMI_UIM_SESSION_TYPE_NONPROVISIONING_SLOT_4`

  Nonprovisioning on slot 4. Since 1.28.

  - Value: `17`
  - Available since: 1.6
`QMI_UIM_SESSION_TYPE_NONPROVISIONING_SLOT_5`

  Nonprovisioning on slot 5. Since 1.28.

  - Value: `18`
  - Available since: 1.6
`QMI_UIM_SESSION_TYPE_CARD_SLOT_3`

  Card on slot 3. Since 1.28.

  - Value: `19`
  - Available since: 1.6
`QMI_UIM_SESSION_TYPE_CARD_SLOT_4`

  Card on slot 4. Since 1.28.

  - Value: `20`
  - Available since: 1.6
`QMI_UIM_SESSION_TYPE_CARD_SLOT_5`

  Card on slot 5. Since 1.28.

  - Value: `21`
  - Available since: 1.6
`QMI_UIM_SESSION_TYPE_LOGICAL_CHANNEL_SLOT_3`

  Logical channel on slot 3. Since 1.28.

  - Value: `22`
  - Available since: 1.6
`QMI_UIM_SESSION_TYPE_LOGICAL_CHANNEL_SLOT_4`

  Logical channel on slot 4. Since 1.28.

  - Value: `23`
  - Available since: 1.6
`QMI_UIM_SESSION_TYPE_LOGICAL_CHANNEL_SLOT_5`

  Logical channel on slot 5. Since 1.28.

  - Value: `24`
  - Available since: 1.6

#### Type functions

###### qmi_uim_session_type_get_string

Gets the nickname string for the `QmiUimSessionType` specified at `val`.

since: 1.6